Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision e030625828803513b216ca63cb049c872bd39865)
+++ sansview/perspectives/fitting/basepage.py	(revision 1b1bbf9e33cd9b1a3338d3a449f2a011094f2f38)
@@ -23,5 +23,5 @@
 _QMIN_DEFAULT = 0.0005
 _QMAX_DEFAULT = 0.5
-_NPTS_DEFAULT = 50
+_NPTS_DEFAULT = 200
 #Control panel width 
 if sys.platform.count("darwin")==0:
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 59b8c74453914a14b5b61c19d46450a0b2266e32)
+++ sansview/perspectives/fitting/fitpage.py	(revision 1b1bbf9e33cd9b1a3338d3a449f2a011094f2f38)
@@ -2722,6 +2722,8 @@
             self._show_ftol_dialog()
             flag = True
+        elif event.AltDown() or event.ShiftDown():
+            flag = False
         else:
-            flag = False
+            return
         # make event free
         event.Skip()
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision 22963162e77a658f5b9affbe8d77c9cda810b0a3)
+++ sansview/perspectives/fitting/fitpanel.py	(revision 1b1bbf9e33cd9b1a3338d3a449f2a011094f2f38)
@@ -3,5 +3,6 @@
 import string 
 import wx
-import wx.lib.flatnotebook as fnb
+#from wx.lib.flatnotebook import FlatNotebook as nb
+from wx.aui import AuiNotebook as nb
 
 from sans.guiframe.panel_base import PanelBase
@@ -14,5 +15,5 @@
 
 
-class FitPanel(fnb.FlatNotebook, PanelBase):    
+class FitPanel(nb, PanelBase):    
 
     """
@@ -32,10 +33,10 @@
         """
         """
-        fnb.FlatNotebook.__init__(self, parent, -1,
+        nb.__init__(self, parent, -1,
                     style= wx.aui.AUI_NB_WINDOWLIST_BUTTON|
                     wx.aui.AUI_NB_DEFAULT_STYLE|
                     wx.CLIP_CHILDREN)
         PanelBase.__init__(self, parent)
-        self.SetWindowStyleFlag(style=fnb.FNB_FANCY_TABS)
+        #self.SetWindowStyleFlag(style=nb.FNB_FANCY_TABS)
         self._manager = manager
         self.parent = parent
@@ -44,6 +45,8 @@
         self.menu_mng = models.ModelManager()
         self.model_list_box = self.menu_mng.get_model_list()
-        #pageClosedEvent = fnb.EVT_FLATNOTEBOOK_PAGE_CLOSING 
-        self.Bind(fnb.EVT_FLATNOTEBOOK_PAGE_CLOSING , self.on_close_page)
+        #pageClosedEvent = nb.EVT_FLATNOTEBOOK_PAGE_CLOSING 
+        pageClosedEvent = wx.aui.EVT_AUINOTEBOOK_PAGE_CLOSE
+        
+        self.Bind(pageClosedEvent, self.on_close_page)
          ## save the title of the last page tab added
         self.fit_page_name = {}
@@ -58,5 +61,5 @@
         self.Bind(basepage.EVT_NEXT_STATE, self._onRedo)
         self.Bind(wx.aui.EVT_AUINOTEBOOK_PAGE_CHANGED, self.on_page_changing)
-      
+
         #add default pages
         self.add_default_pages()
@@ -375,6 +378,6 @@
         """
         #remove hint page
-        if selected_page == self.hint_page:
-            return
+        #if selected_page == self.hint_page:
+        #    return
         ## removing sim_page
         if selected_page == self.sim_page :
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision bb9f3229608a7f16998b234b568a673a151b2041)
+++ sansview/perspectives/fitting/fitting.py	(revision 1b1bbf9e33cd9b1a3338d3a449f2a011094f2f38)
@@ -277,9 +277,18 @@
                 wx.PostEvent(self.parent, NewPlotEvent(plot=data, 
                                                        title=str(data.title)))
+                
         except:
             raise
             #msg = "Fitting Set_data: " + str(sys.exc_value)
             #wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
-            
+    
+    def set_top_panel(self):
+        """
+        Close default (welcome) panel
+        """
+        if 'default' in self.parent.panels:
+            self.parent.on_close_welcome_panel()
+
+             
     def set_theory(self,  theory_list=None):
         """
@@ -352,8 +361,8 @@
                 wx.PostEvent(self.parent, NewPlotEvent(plot=data,
                                         title=data.title))
-                self.add_fit_page(data)
-                caption = panel.window_name
-                self.store_data(page=panel.id, data=data, caption=caption)
-                self.mypanels.append(panel) 
+                page = self.add_fit_page(data)
+                caption = page.window_name
+                self.store_data(page=page.id, data=data, caption=caption)
+                self.mypanels.append(page) 
                 
             # get ready for the next set_state
@@ -689,4 +698,5 @@
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                        info="warning"))
+            self.set_top_panel()
         except:
             raise
@@ -726,4 +736,5 @@
         if self.sim_page is not None:
             self.sim_page.draw_page()
+        return page
             
     def _onEVT_SLICER_PANEL(self, event):
@@ -851,4 +862,5 @@
                 data = plottable
                 self.add_fit_page(data=data)
+        self.set_top_panel()
             
     def update_fit(self, result=None, msg=""):
Index: sansview/perspectives/fitting/ftol_dialog.py
===================================================================
--- sansview/perspectives/fitting/ftol_dialog.py	(revision 22963162e77a658f5b9affbe8d77c9cda810b0a3)
+++ sansview/perspectives/fitting/ftol_dialog.py	(revision 1b1bbf9e33cd9b1a3338d3a449f2a011094f2f38)
@@ -11,5 +11,5 @@
 import wx
 import sys
-from sans.guicomm.events import StatusEvent  
+from sans.guiframe.events import StatusEvent  
 # default ftol
 F_TOL = 1.49012e-08 
